Name:          python-oauth2
Version:       1.9.0.post1
Release:       1mamba
Summary:       A fully tested, abstract interface to creating OAuth clients and servers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/simplegeo/python-oauth2
Source:        https://pypi.debian.net/oauth2/oauth2-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version

%description
A fully tested, abstract interface to creating OAuth clients and servers.

%prep
%setup -q -n oauth2-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 1.9.0.post1-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.211-2mamba
- python 2.7 mass rebuild

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 1.5.211-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.5.170-1mamba
- automatic update by autodist

* Tue Apr 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.167-1mamba
- package created by autospec
